package com.sundot.airport.exam.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sundot.airport.exam.common.model.BaseEntity;

import java.io.Serializable;

/**
 * <b>功能名：</b>Exam<br>
 * <b>说明：</b> 考试管理表 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：
 *
 * @author 2021-06-23 liangxiao
 */
@TableName("edu_cs_exam")
public class Exam extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 业务主键
     */
    private String exId;

    /**
     * 考试名称
     */
    private String exName;

    /**
     * 背景图片资源
     */
    private String exBgImg;

    /**
     * 详情介绍图片资源
     */
    private String exDetailImg;

    /**
     * 考试时间，0表示不限制（单位：秒）
     */
    private Integer exExamTime;

    /**
     * 考试次数，0表示不限制
     */
    private Integer exExamCount;

    /**
     * 考试人数（按用户id去重）
     */
    private Integer exPeople;

    /**
     * 考试后是否可见答案
     */
    private Boolean exEnableAns;

    /**
     * 是否启用证书（0否1是）
     */
    private Boolean exEnableCert;

    /**
     * 证书发放门槛分数
     */
    private Integer exCertTh;

    /**
     * 证书名称
     */
    private String exCertName;

    /**
     * 当前证书背景图id
     */
    private String piId;

    /**
     * 当前证书背景资源信息
     */
    private String exCertBgImg;

    /**
     * 证书的二维码图片
     */
    private String exCertQrCode;

    /**
     * 证书的分享语
     */
    private String exCertShareRemark;

    /**
     * 试卷表业务主键
     */
    private String tpId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getExId() {
        return exId;
    }

    public void setExId(String exId) {
        this.exId = exId;
    }

    public String getExName() {
        return exName;
    }

    public void setExName(String exName) {
        this.exName = exName;
    }

    public String getExBgImg() {
        return exBgImg;
    }

    public void setExBgImg(String exBgImg) {
        this.exBgImg = exBgImg;
    }

    public String getExDetailImg() {
        return exDetailImg;
    }

    public void setExDetailImg(String exDetailImg) {
        this.exDetailImg = exDetailImg;
    }

    public Integer getExExamTime() {
        return exExamTime;
    }

    public void setExExamTime(Integer exExamTime) {
        this.exExamTime = exExamTime;
    }

    public Integer getExExamCount() {
        return exExamCount;
    }

    public void setExExamCount(Integer exExamCount) {
        this.exExamCount = exExamCount;
    }

    public Integer getExPeople() {
        return exPeople;
    }

    public void setExPeople(Integer exPeople) {
        this.exPeople = exPeople;
    }

    public Boolean getExEnableAns() {
        return exEnableAns;
    }

    public void setExEnableAns(Boolean exEnableAns) {
        this.exEnableAns = exEnableAns;
    }

    public Boolean getExEnableCert() {
        return exEnableCert;
    }

    public void setExEnableCert(Boolean exEnableCert) {
        this.exEnableCert = exEnableCert;
    }

    public Integer getExCertTh() {
        return exCertTh;
    }

    public void setExCertTh(Integer exCertTh) {
        this.exCertTh = exCertTh;
    }

    public String getExCertName() {
        return exCertName;
    }

    public void setExCertName(String exCertName) {
        this.exCertName = exCertName;
    }

    public String getPiId() {
        return piId;
    }

    public void setPiId(String piId) {
        this.piId = piId;
    }

    public String getExCertBgImg() {
        return exCertBgImg;
    }

    public void setExCertBgImg(String exCertBgImg) {
        this.exCertBgImg = exCertBgImg;
    }

    public String getExCertQrCode() {
        return exCertQrCode;
    }

    public void setExCertQrCode(String exCertQrCode) {
        this.exCertQrCode = exCertQrCode;
    }

    public String getExCertShareRemark() {
        return exCertShareRemark;
    }

    public void setExCertShareRemark(String exCertShareRemark) {
        this.exCertShareRemark = exCertShareRemark;
    }

    public String getTpId() {
        return tpId;
    }

    public void setTpId(String tpId) {
        this.tpId = tpId;
    }

    @Override
    public String toString() {
        return "Exam{" +
                "id=" + id +
                ", exId='" + exId + '\'' +
                ", exName='" + exName + '\'' +
                ", exBgImg='" + exBgImg + '\'' +
                ", exDetailImg='" + exDetailImg + '\'' +
                ", exExamTime=" + exExamTime +
                ", exExamCount=" + exExamCount +
                ", exPeople=" + exPeople +
                ", exEnableAns=" + exEnableAns +
                ", exEnableCert=" + exEnableCert +
                ", exCertTh=" + exCertTh +
                ", exCertName='" + exCertName + '\'' +
                ", piId='" + piId + '\'' +
                ", exCertBgImg='" + exCertBgImg + '\'' +
                ", exCertQrCode='" + exCertQrCode + '\'' +
                ", exCertShareRemark='" + exCertShareRemark + '\'' +
                ", tpId='" + tpId + '\'' +
                '}';
    }
}